import {IonicModule} from '@ionic/angular';
import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';
import {HomePageModule} from "./tabs/home/home.module";
import {DiscoverPageModule} from "./tabs/discover/discover.module";
import {ServePageModule} from "./tabs/serve/serve.module";
import {MinePageModule} from "./tabs/mine/mine.module";
import {TabsPageModule} from "./tabs/tabs.module";
import {TabsService} from "./tabs/tabs.service";
import {AppService} from "../http/http.service";
import {HttpClientModule} from "@angular/common/http";
import {HttpModule} from "@angular/http";
import {LoginPageModule} from "./tabs/login/login.module";


@NgModule({
    imports: [
        LoginPageModule,
        TabsPageModule,
        HomePageModule,
        DiscoverPageModule,
        ServePageModule,
        MinePageModule,
        IonicModule,
        CommonModule,
        FormsModule,
        HttpClientModule,
        HttpModule
    ],
    providers: [
        TabsService,
        AppService,
    ],
    declarations: []
})
export class AppMainModule {
}
